{
  "extends": "./tsconfig.base.json",
  "compilerOptions": {
    "module": "commonjs",
    "target": "ES2020",
    "outDir": "dist/main",
    "jsx": "react-jsx",
    "lib": ["ES2020", "DOM"],
    "allowSyntheticDefaultImports": true,
    "moduleResolution": "node",
    "noEmit": false
  },
  "include": [
    "src/apps/companion/main/**/*",
    "src/apps/companion/renderer/**/*",
    "src/core/**/*",
    "src/infrastructure/**/*"
  ],
  "exclude": [
    "node_modules",
    "dist",
    "tests"
  ]
}